clang-tools 8.0.0

Classes | Public Member Functions | Friends | List of all members
clang::include_fixer::IncludeFixerContext Class Reference

A context for a file being processed. More...

`#include <IncludeFixerContext.h>`

## Classes
struct | HeaderInfo
struct | QuerySymbolInfo

## Public Member Functions
| IncludeFixerContext ()=default
| IncludeFixerContext (StringRef FilePath, std::vector< QuerySymbolInfo > QuerySymbols, std::vector< find_all_symbols::SymbolInfo > Symbols)
llvm::StringRef | getSymbolIdentifier () const
| Get symbol name. More...
tooling::Range | getSymbolRange () const
| Get replacement range of the symbol. More...
StringRef | getFilePath () const
| Get the file path to the file being processed. More...
const std::vector< HeaderInfo > & | getHeaderInfos () const
| Get header information. More...
const std::vector< QuerySymbolInfo > & | getQuerySymbolInfos () const
| Get information of symbols being querid. More...

## Friends
struct | llvm::yaml::MappingTraits< IncludeFixerContext >

## Detailed Description

A context for a file being processed.

It includes all query information, e.g. symbols being queried in database, all header candidates.

Definition at line 23 of file IncludeFixerContext.h.

## Constructor & Destructor Documentation

## ◆ IncludeFixerContext() [1/2]

clang::include_fixer::IncludeFixerContext::IncludeFixerContext | ( |  | ) |
| default

## ◆ IncludeFixerContext() [2/2]

clang::include_fixer::IncludeFixerContext::IncludeFixerContext | ( | StringRef | FilePath,
|  | std::vector< QuerySymbolInfo > | QuerySymbols,
|  | std::vector< find_all_symbols::SymbolInfo > | Symbols
| ) |  |

Definition at line 78 of file IncludeFixerContext.cpp.

## Member Function Documentation

## ◆ getFilePath()

StringRef clang::include_fixer::IncludeFixerContext::getFilePath | ( |  | ) | const
| inline

Get the file path to the file being processed.

Definition at line 65 of file IncludeFixerContext.h.

Referenced by clang::include_fixer::IncludeFixerSemaSource::getIncludeFixerContext().

## ◆ getHeaderInfos()

const std::vector<HeaderInfo>& clang::include_fixer::IncludeFixerContext::getHeaderInfos | ( |  | ) | const
| inline

Get header information.

Definition at line 68 of file IncludeFixerContext.h.

## ◆ getQuerySymbolInfos()

const std::vector<QuerySymbolInfo>& clang::include_fixer::IncludeFixerContext::getQuerySymbolInfos | ( |  | ) | const
| inline

Get information of symbols being querid.

Definition at line 71 of file IncludeFixerContext.h.

## ◆ getSymbolIdentifier()

llvm::StringRef clang::include_fixer::IncludeFixerContext::getSymbolIdentifier | ( |  | ) | const
| inline

Get symbol name.

Definition at line 55 of file IncludeFixerContext.h.

## ◆ getSymbolRange()

tooling::Range clang::include_fixer::IncludeFixerContext::getSymbolRange | ( |  | ) | const
| inline

Get replacement range of the symbol.

Definition at line 60 of file IncludeFixerContext.h.

## Friends And Related Function Documentation

## ◆ llvm::yaml::MappingTraits< IncludeFixerContext >

friend struct llvm::yaml::MappingTraits< IncludeFixerContext >
| friend

Definition at line 76 of file IncludeFixerContext.h.

The documentation for this class was generated from the following files:

- IncludeFixerContext.h
- IncludeFixerContext.cpp